Subject: Re: cygwin start-up options
From: Andrew DeFaria <[email-masked]>
To: [email-masked]
Date: Wed, 20 Mar 2002 12:52:46 -0800
Newsgroups: gmane.os.cygwin

Lars Munch wrote:

> On Mon, Mar 18, 2002 at 04:57:36AM -0500, Oleg wrote:
> 
>>Hi
>>
>>I'm curious, how does everyone start cygwin? I use a shortcut
>>"C:\cygwin\bin\rxvt.exe -sl 200 -fg white -bg black -geometry
>>110x43+0+0 -backspacekey ^H -fn 8x16 -e /bin/bash --login -i", starting in
>>"C:\cygwin\bin" (the geometry matches my screen resolution) Is there a
>>smarter/faster way to start cygwin?
>>
> 
> I use the following in my shortcut:
> C:\cygwin\bin\run.exe C:\cygwin\bin\rxvt.exe -e /bin/bash --login -i
> 
> And then I have this in my .Xresources (for rxvt)
> 
> ! rxvt settings
> rxvt*font: 9x15
> rxvt*cursorColor: MediumOrchid3
> rxvt*background: grey15
> rxvt*foreground: wheat3
> rxvt*saveLines: 1500
> rxvt*pointerColor: MediumOrchid3
> rxvt*visualBell: off
> rxvt*scrollBar_right: true
> rxvt*colorBD: Yellow3
> rxvt*colorUL: MediumOrchid3
> rxvt*scrollColor: grey15
> rxvt*troughColor: grey11
> rxvt*termName: rxvt
> rxvt*modifier: mod1
> 
> ! color0 - color7 are normal colors. The  defaults  are,  respectively
> ! black, red, green, yellow, blue, magenta, cyan, and white
> rxvt*color0:                   grey15
> rxvt*color1:                   IndianRed
> rxvt*color2:                   MediumSeaGreen
> rxvt*color3:                   Yellow3
> rxvt*color4:                   SteelBlue4
> rxvt*color5:                   MediumOrchid3
> rxvt*color6:                   Cyan3
> rxvt*color7:                   White
> 
> ! color8 - color 15 are bold colors if the bold attribute is enabled.
> ! The  defaults  are,  respectively
> ! black, red, green, yellow, blue, magenta, cyan, and white
> rxvt*color8:                   grey15
> rxvt*color9:                   IndianRed
> rxvt*color10:                  MediumSeaGreen
> rxvt*color11:                  Yellow3
> rxvt*color12:                  SteelBlue4
> rxvt*color13:                  MediumOrchid3
> rxvt*color14:                  Cyan3
> rxvt*color15:                  White

I too use X resources for rxvt (though I've named the file ~/.Xdefaults 
not ~/.Xresources). However my shortcut is a little fancier. First, 
assuming that Cygwin's bin directory (e.g. C:\Cygwin\bin) is already in 
the Windows System Environment Variable PATH (which it pretty much needs 
to be, especially if your running inetd, et. al.) and assuming that your 
Windows System32 path is also in your Windows System Environment Varible 
PATH (which is always is) then my shortcut becomes:

cmd /c start /b rxvt -e bash --login -i

"cmd" is the Windows command processer (command on 98 and below). The 
"/c" says run one command. That command is start. The /b tells start to 
start the following command and not to create a window for it. Then 
there's rxvt (found in C:\Cygwin\bin) with -e to run bash (also found in 
C:\Cygwin\bin) with it's normal --login and -i parameters.

This still gives a flashing cmd window so I just change the shortcut to 
start minimized.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/